# grunt-epub [![NPM version](https://badge.fury.io/js/grunt-epub.png)](http://badge.fury.io/js/grunt-epub) 

> Creates epub from specified files

## Table of Contents
* [Getting Started](#getting-started)
* [Options](#options)
* [Usage Examples](#usage-examples)
* [Contributing](#contributing)
* [Author](#author)
* [License](#license)


## Getting Started
This plugin requires Grunt `~0.4.4`

If you haven't used [Grunt][grunt] before, be sure to check out the [Getting Started][Getting Started] guide, as it explains how to create a [Gruntfile](http://gruntjs.com/sample-gruntfile) as well as install and use Grunt plugins. Once you're familiar with that process, you may install this plugin with this command:

```shell
npm install grunt-epub --save-dev
```

Once the plugin has been installed, it may be enabled inside your Gruntfile with this line of JavaScript:

```js
grunt.loadNpmTasks('grunt-epub');
```

### Required config
This is a plugin that requires a fairly large metadata file using a very
distinct look. It should be set (at least) as the option `meta`. As long
as it contains the following keys, it can also hold other metadata as
the user needs it.

The example is from my own writing.

```js
{
    "author": {
        "as": "Hogebrandt, Marie",
        "name": "Marie Hogebrandt"
    },
    "date": "2014-03-21T09:44:33Z",
    "keywords": [
        "Urban Fantasy",
        "Svensk folktro"
    ],
    "language": "sv",
    "license": null,
    "publisher": null,
    "outline": [
        {
            "id": 2,
            "name": "akt-01",
            "items": [
                {
                    "id": 3,
                    "name": "kapitel-01",
                    "title": "Kapitel 1"
                }
            ],
            "title": "Akt I: Konsten att F\u00f6rf\u00f6ra"
        },
        {
            "id": 10,
            "name": "akt-02",
            "items": [
                {
                    "id": 11,
                    "name": "kapitel-06",
                    "title": "Kapitel 6"
                }
            ],
            "title": "Akt II: Konsten att F\u00f6rf\u00f6lja"
        },
        {
            "id": 18,
            "name": "akt-03",
            "items": [
                {
                    "id": 19,
                    "name": "kapitel-11",
                    "title": "Kapitel 12"
                }
            ],
            "title": "Akt III: Konsten att F\u00f6rg\u00f6ra"
        }
    ],
    "spine": {
        "backmatter": [
            {
                "id": 27,
                "name": "colophon",
                "title": "Kolophon"
            }
        ],
        "frontmatter": [
            {
                "id": 1,
                "name": "cover",
                "title": "Framsida"
            }
        ]
    },
    "title": "Sk\u00e4rvor av det f\u00f6rg\u00e5ngna",
    "uid": "skarvor-av-det-forgangna2014-03-21-09-44-33-012690"
}

```

### File Naming
Files that are part of the spine/table of contents need to have a filename
based on their `name`, as that ties everything together. If it's in the
spine or outline, the `name` set there *must* inform the filename, ex:

The cover has the `name` cover in spine/frontmatter. This means the
filename needs to be `cover.html`, or the automatic recognition of files
in the manifest will not work.

[grunt]: http://gruntjs.com/
[Getting Started]: https://github.com/gruntjs/grunt/blob/devel/docs/getting_started.md


## Options

## Usage Examples

## Contributing
We welcome all kinds of contributions! The most basic way to show your support is to star the project, or to raise issues.

## Author

**Marie Hogebrandt**

+ [github.com/Melindrea](https://github.com/Melindrea)
+ [twitter.com/melindrea82](http://twitter.com/melindrea82)
+ [http://mariehogebrandt.se](http://mariehogebrandt.se)

## License
Copyright (c) 2014 Marie Hogebrandt, contributors.  
Released under the MIT license

**DATE**       **VERSION**   **CHANGES**                                                                
* 2014-05-06   v0.3.0        Creates the content.opf from metadata, with the exception of the (optional)
                             guide                                                                      
* 2014-05-05   v0.2.0        Creates the toc.ncx from metadata                                          
* 2014-05-03   v0.1.0        will create a valid epub, assuming all files (except                       
                             `META-INF/container.xml` and `mimetype`) are created through other means   

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on May 06, 2014._
